Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.servlet
Class EfficientShutdownServletContextAttributeListener

    java.lang.Object
      org.directwebremoting.servlet.EfficientShutdownServletContextAttributeListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextAttributeListener

    public class EfficientShutdownServletContextAttributeListener

extends java.lang.Object
implements javax.servlet.ServletContextAttributeListener

A `ServletContextAttributeListener` that can be used to call `ServerLoadMonitor.shutdown()` when the servlet container is stopped

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`EfficientShutdownServletContextAttributeListener()`

Method Summary
`void` | `attributeAdded(javax.servlet.ServletContextAttributeEvent ev)`
`void` | `attributeRemoved(javax.servlet.ServletContextAttributeEvent ev)`
`void` | `attributeReplaced(javax.servlet.ServletContextAttributeEvent ev)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EfficientShutdownServletContextAttributeListener

    public EfficientShutdownServletContextAttributeListener()

Method Detail

### attributeAdded

    public void attributeAdded(javax.servlet.ServletContextAttributeEvent ev)

  Specified by:
    `attributeAdded` in interface `javax.servlet.ServletContextAttributeListener`

### attributeRemoved

    public void attributeRemoved(javax.servlet.ServletContextAttributeEvent ev)

  Specified by:
    `attributeRemoved` in interface `javax.servlet.ServletContextAttributeListener`

### attributeReplaced

    public void attributeReplaced(javax.servlet.ServletContextAttributeEvent ev)

  Specified by:
    `attributeReplaced` in interface `javax.servlet.ServletContextAttributeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD